Java Web Start windows launched from browser are still grouped even if different

Bug #1108380 reported by Marco Trevisan (Treviño) on 2013-01-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
BAMF
Medium
Marco Trevisan (Treviño)
0.2
Medium
Marco Trevisan (Treviño)
0.3
Medium
Marco Trevisan (Treviño)
bamf (Ubuntu)
Medium
Marco Trevisan (Treviño)
Precise
Medium
Timo Jyrinki
Quantal
Medium
Unassigned

Bug Description

Fix for bug #1098186 does not work when javaws applications are launched from browser.

[Impact]

Applications launched via Java Webstart are grouped under the same icon still, in case the application is launched from browser instead of command line.

[Test Case]

Download different jnlp's (for example from http://is.gd/lGDr0Z) and launch them, directly from browser this time: they should not be grouped together if they're different applications. Automated tests are included into the diff.

[Regression Potential]

Compared to the earlier bug fix, this completion of the fix is much smaller and largely the diff is about the tests.

Related branches

Changed in bamf:
status: In Progress → Fix Committed
Changed in bamf (Ubuntu):
status: New → Fix Committed
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.4.0daily13.02.01-0ubuntu1

---------------
bamf (0.4.0daily13.02.01-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Unity inappropriately groups separate Java webstart app windows (LP:
    #979752)
  * Java Web Start windows launched from browser are still grouped even
    if different (LP: #1108380)
  * Unity groups separate Java webstart app windows (LP: #1098186)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 518
 -- Automatic PS uploader <email address hidden> Fri, 01 Feb 2013 02:00:54 +0000

Changed in bamf (Ubuntu):
status: Fix Committed → Fix Released
Changed in bamf (Ubuntu Precise):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
status: New → In Progress
importance: Undecided → Medium
Changed in bamf (Ubuntu Quantal):
importance: Undecided → Medium
Changed in bamf (Ubuntu):
importance: Undecided → Medium

Hello Marco, or anyone else affected,

Accepted bamf into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/bamf/0.2.126-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in bamf (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in bamf (Ubuntu Quantal):
status: New → Fix Committed
Colin Watson (cjwatson) wrote :

Hello Marco, or anyone else affected,

Accepted bamf into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/bamf/0.3.6-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Timo Jyrinki (timo-jyrinki) wrote :

Tested successfully on precise with precise-proposed enabled by launching the Java Music Player and jDiskReport directly from Firefox, resulting in separate, different icons for both.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.2.126-0ubuntu1

---------------
bamf (0.2.126-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - BamfMatcher: Don't associate .desktopless applications with
      different exec string, fix JavaWS apps. (LP: #1098186)
  * BamfMatcher: ignore the javaws windows when setting the window hint
    (LP: #1108380)
 -- Timo Jyrinki <email address hidden> Thu, 31 Jan 2013 13:58:44 +0200

Changed in bamf (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in bamf:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bamf - 0.3.6-0ubuntu2

---------------
bamf (0.3.6-0ubuntu2) quantal-proposed; urgency=low

  * Cherry-pick upstream.
    - BamfMatcher: ignore the javaws windows when setting the window hint
      (LP: #1108380)

bamf (0.3.6-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - BamfMatcher: Don't associate .desktopless applications with different
      exec string, fix JavaWS apps (LP: #1098186)
 -- Lukasz 'sil2100' Zemczak <email address hidden> Tue, 19 Feb 2013 17:51:44 +0100

Changed in bamf (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in bamf:
status: Fix Released → Fix Committed
Changed in bamf:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers